Package org.mariadb.jdbc.plugin

## Interface CredentialPlugin

All Superinterfaces:
  `Supplier<Credential>`

All Known Implementing Classes:
  `AwsIamCredentialPlugin`, `EnvCredentialPlugin`, `PropertiesCredentialPlugin`

    public interface CredentialPlugin
    extends Supplier<Credential>

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default String` `defaultAuthenticationPluginType()`
`default CredentialPlugin` `initialize​(Configuration conf, String userName, HostAddress hostAddress)`
`default boolean` `mustUseSsl()`
`String` `type()`

### Methods inherited from interface java.util.function.Supplier

`get`

### Method Detail

#### type

    String type()

#### mustUseSsl

    default boolean mustUseSsl()

#### defaultAuthenticationPluginType

    default String defaultAuthenticationPluginType()

#### initialize

    default CredentialPlugin initialize​(Configuration conf,
                                        String userName,
                                        HostAddress hostAddress)
                                 throws SQLException

Throws:
  `SQLException`